import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '系统参数名称',
    dataIndex: 'PARAM_NAME',
    width: 200,
    align: 'left',
  },
  {
    title: '系统参数值',
    dataIndex: 'PARAM_VALUE',
  },
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
  },
];

const isDir = (type: string) => type === '0';
const isMenu = (type: string) => type === '1';

export const searchFormSchema: FormSchema[] = [
  {
    field: 'menuName',
    label: '系统参数名称',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'status',
    label: '状态',
    component: 'Select',
    componentProps: {
      options: [
        { label: '启用', value: '1' },
        { label: '停用', value: '0' },
      ],
    },
    colProps: { span: 8 },
  },
];

export const formSchema: FormSchema[] = [
  {
    field: 'PARAM_TYPE',
    label: '参数类别',
    component: 'RadioButtonGroup',
    defaultValue: '0',
    componentProps: {
      options: [
        { label: '系统参数组', value: '0' },
        { label: '系统参数', value: '1' },
      ],
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'PRMG_TYPE',
    label: '参数组类型',
    component: 'Input',
    required: true,
    colProps: { span: 8 },
    ifShow: ({ values }) => isDir(values.PARAM_TYPE),
  },
  {
    field: 'PRMG_CODE',
    label: '上级参数组',
    component: 'TreeSelect',
    componentProps: {
      fieldNames: {
        label: 'PARAM_NAME',
        key: 'PARAM_CODE',
        value: 'PARAM_CODE',
      },
      getPopupContainer: () => document.body,
    },
    colProps: { span: 8 },
    ifShow: ({ values }) => isMenu(values.PARAM_TYPE),
  },
  {
    field: 'PARAM_CODE',
    label: '参数代码',
    component: 'Input',
    required: true,
    colProps: { span: 8 },
    // ifShow: ({ values }) => isMenu(values.PARAM_TYPE),
  },
  {
    field: 'PARAM_NAME',
    label: '参数名称',
    component: 'Input',
    required: true,
    colProps: { span: 8 },
    // ifShow: ({ values }) => isMenu(values.PARAM_TYPE),
  },
  {
    field: 'PARAM_VALUE',
    label: '参数值',
    component: 'Input',
    required: true,
    colProps: { span: 8 },
    ifShow: ({ values }) => isMenu(values.PARAM_TYPE),
  },
  {
    field: 'PARAM_DESC',
    label: '参数描述',
    component: 'Input',
    required: true,
    colProps: { span: 8 },
    ifShow: ({ values }) => isMenu(values.PARAM_TYPE),
  },
  {
    field: 'PARAM_SEQ',
    label: '排序',
    component: 'InputNumber',
    required: true,
    ifShow: ({ values }) => isMenu(values.PARAM_TYPE),
  },
  {
    field: 'DATA_1',
    label: '扩展一',
    component: 'Input',
    colProps: { span: 8 },
    ifShow: ({ values }) => isMenu(values.PARAM_TYPE),
  },
  {
    field: 'DATA_2',
    label: '扩展二',
    component: 'Input',
    colProps: { span: 8 },
    ifShow: ({ values }) => isMenu(values.PARAM_TYPE),
  },
  {
    field: 'DATA_3',
    label: '扩展三',
    component: 'Input',
    colProps: { span: 8 },
    ifShow: ({ values }) => isMenu(values.PARAM_TYPE),
  },
  {
    field: 'DATA_4',
    label: '扩展四',
    component: 'Input',
    colProps: { span: 8 },
    ifShow: ({ values }) => isMenu(values.PARAM_TYPE),
  },
  {
    field: 'DATA_5',
    label: '扩展五',
    component: 'Input',
    colProps: { span: 8 },
    ifShow: ({ values }) => isMenu(values.PARAM_TYPE),
  },
  {
    field: 'ID',
    label: '系统参数ID',
    component: 'Input',
    show: false,
  },

];
